package com.chaozhanggui.dao.system.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

public class TbPlussOpenAccountRecord implements Serializable {
    private Integer id;

    private Integer userid;

    private String merchantname;

    private String ordernumber;

    private BigDecimal orderamt;

    private String goodcode;

    private String goodname;

    private String type;

    private BigDecimal rewardamt;

    private String status;

    private Integer rewarduserid;

    private String areacode;

    private String areaname;

    private Date createtime;

    private Date createdate;

    private String rolecode;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getUserid() {
        return userid;
    }

    public void setUserid(Integer userid) {
        this.userid = userid;
    }

    public String getMerchantname() {
        return merchantname;
    }

    public void setMerchantname(String merchantname) {
        this.merchantname = merchantname == null ? null : merchantname.trim();
    }

    public String getOrdernumber() {
        return ordernumber;
    }

    public void setOrdernumber(String ordernumber) {
        this.ordernumber = ordernumber == null ? null : ordernumber.trim();
    }

    public BigDecimal getOrderamt() {
        return orderamt;
    }

    public void setOrderamt(BigDecimal orderamt) {
        this.orderamt = orderamt;
    }

    public String getGoodcode() {
        return goodcode;
    }

    public void setGoodcode(String goodcode) {
        this.goodcode = goodcode == null ? null : goodcode.trim();
    }

    public String getGoodname() {
        return goodname;
    }

    public void setGoodname(String goodname) {
        this.goodname = goodname == null ? null : goodname.trim();
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type == null ? null : type.trim();
    }

    public BigDecimal getRewardamt() {
        return rewardamt;
    }

    public void setRewardamt(BigDecimal rewardamt) {
        this.rewardamt = rewardamt;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status == null ? null : status.trim();
    }

    public Integer getRewarduserid() {
        return rewarduserid;
    }

    public void setRewarduserid(Integer rewarduserid) {
        this.rewarduserid = rewarduserid;
    }

    public String getAreacode() {
        return areacode;
    }

    public void setAreacode(String areacode) {
        this.areacode = areacode == null ? null : areacode.trim();
    }

    public String getAreaname() {
        return areaname;
    }

    public void setAreaname(String areaname) {
        this.areaname = areaname == null ? null : areaname.trim();
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    public Date getCreatedate() {
        return createdate;
    }

    public void setCreatedate(Date createdate) {
        this.createdate = createdate;
    }

    public String getRolecode() {
        return rolecode;
    }

    public void setRolecode(String rolecode) {
        this.rolecode = rolecode == null ? null : rolecode.trim();
    }
}